org.jpy

## Class CreateModule

- java.lang.Object
- - org.jpy.CreateModule

- All Implemented Interfaces:
    AutoCloseable

      public class CreateModule
      extends Object
      implements AutoCloseable

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `call(String moduleName, String moduleScript)`
    `<T> T` | `callAsFunctionModule(String moduleName, String moduleScript, Class<T> clazz)`
    `<T> T` | `callAsMethodModule(String moduleName, String moduleScript, Class<T> clazz)`
    `void` | `close()`
    `static CreateModule` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static CreateModule create()

    - #### call

          public PyObject call(String moduleName,
                               String moduleScript)

    - #### callAsFunctionModule

          public <T> T callAsFunctionModule(String moduleName,
                                            String moduleScript,
                                            Class<T> clazz)

    - #### callAsMethodModule

          public <T> T callAsMethodModule(String moduleName,
                                          String moduleScript,
                                          Class<T> clazz)

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`

Copyright © 2014–2022 Brockmann Consult GmbH. All rights reserved.